> ## Documentation Index
> Fetch the complete documentation index at: https://klef.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start OAuth login with the given provider.



## OpenAPI

````yaml /openapi-public.json get /auth/login/{provider}
openapi: 3.1.1
info:
  title: Klef API
  description: Klef's multi-tenant HRIS sync platform API.
  version: v1
servers:
  - url: https://{workspace}.klef.ai/api
    variables:
      workspace:
        default: acme
        description: Your workspace's subdomain.
security: []
tags:
  - name: Users
  - name: Connections
  - name: Adoption
  - name: Policy resources
  - name: Audit
  - name: Catalog
  - name: Sync
  - name: Search
  - name: SyncPlans
  - name: Agent
  - name: Auth
  - name: Workspaces
  - name: Billing
  - name: Invitations
  - name: FirstSignIns
  - name: Connection accounts
  - name: Policies
  - name: Secrets
  - name: Lookup tables
  - name: Scripts
  - name: Segments
  - name: ApiKeys
  - name: Members
  - name: Workers
  - name: Inbox
  - name: Notifications
paths:
  /auth/login/{provider}:
    get:
      tags:
        - Auth
      summary: Start OAuth login with the given provider.
      operationId: BeginAuthLogin
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/LoginProvider'
      responses:
        '302':
          description: Found
        '400':
          description: Bad Request
components:
  schemas:
    LoginProvider:
      enum:
        - google
        - microsoft
      type: string

````